#include <Arduino.h>
//*****************************************
class SliderElement
{
  public:
    SliderElement(int minVal,int maxVal,int currVal,int oldVal,float tick,float snap,uint16_t slideColor,uint16_t backColor,uint16_t handleColor,int handleShape,
    int handleSize,uint16_t controlOffValue,byte defaultKeySent,byte lastSent,byte toggleState);
    int     getSliderElementValues();
    int       EminVal;
    int       EmaxVal;
    int       EcurrVal;
    int       EoldVal;
    float     Etick;
    float     Esnap;
    uint16_t  EslideColor;
    uint16_t  EbackColor;
    uint16_t  EhandleColor;
    int       EhandleShape;
    int       EhandleSize;
    uint16_t  EcontrolOffValue;
    byte      EdefaultKeySent;
    byte      ElastSent;
    byte      EtoggleState;
  private:
    int       _minVal;
    int       _maxVal;
    int       _currVal;
    int       _oldVal;
    float     _tick;
    float     _snap;
    uint16_t  _slideColor;
    uint16_t  _backColor;
    uint16_t  _handleColor;
    int       _handleShape;
    int       _handleSize;
    uint16_t  _controlOffValue;
    byte      _defaultKeySent;
    byte      _lastSent;
    byte      _toggleState;
};
